stages:
  - build
  - auto_increment
  - deploy


build:
  stage: build
  script:
    - cd deploy
    - docker build --no-cache=true -t website .
  only:
    - master

auto_increment:
  stage: auto_increment
  script:
    - chmod +x versioning/auto_increment
    - dos2unix versioning/*
    - ./versioning/auto_increment ${CI_PROJECT_URL} ${API_ACCESS_TOKEN} ${CI_PROJECT_ID}
  only:
      - master
      
deploy:
  stage: deploy
  script:
    - docker tag website yelarjouni/website:latest
    - docker push --all-tags yelarjouni/website:latest
    - docker image prune -af
  only:
    - master

